(function ($) {

    var formHidden = false;
    Drupal.behaviors.OverlayleftPanel = {
        attach: function (context) {
            var forms = $('#overlay-left-panel:not(.opanel-processed)', context);
            forms.each(function (index) {

                var form = $(this),
                    close = $('<span class="form-close" title="Open panel"></span>').prependTo(form);
                close.text('>');
                if (!formHidden) {
                    form.addClass('opanel-hidden').css({left: (-form.outerWidth()) + 'px'});
                    formHidden = true;
                }

                close.click(function (event) {
                    var $this = $(this);
                    if (form.hasClass('opanel-hidden')) {
                        form.stop(true).animate({left: 0});
                        $this.text('<');
                        $this.attr('title', 'Close panel');
                    }
                    else {
                        form.stop(true).animate({left: -form.outerWidth()});
                        $this.html('>');
                        $this.attr('title', 'Open panel');
                    }
                    form.toggleClass('opanel-hidden');
                });
            });
            forms.addClass('opanel-processed');
        }
    };
})(jQuery);
